Subject: RE: [Ipoverib] draft-ietf-ipoib-ip-over-infiniband-00.txt

From: "Larsen, Roy K" <[email-masked]>
Date: Wed, 27 Feb 2002 15:34:54 -0800

> -----Original Message-----
> From: Vivek Kashyap [mailto:[email-masked]]
> Sent: Tuesday, February 26, 2002 5:23 PM
> To: [email-masked]
> Cc: [email-masked]; [email-masked]; [email-masked];
> [email-masked]
> Subject: Re: [Ipoverib] draft-ietf-ipoib-ip-over-infiniband-00.txt

<snip>

> > > Yes, you are right. Ethertype is also not required for RC 
> (or other
> > > mode) IP over IB implementations.
> > 
> > But of course, I would assume we wouldn't be using ARP for 
> RC (or other
> > modes) either so I'm not sure how this is relevant.  ARP is 
> at the root of
> 
> The comment has nothing to do with ARP. It has to do with
> encapsulating protocols with a header containing a type or not.
> 
> When IP over RC is done, the two endpoints know exactly what they are
> exchanging - it is an IB connection exchanging IP packets (no ARP as
> you note). So, in the RC case also there is no need of a header/type
> encapsulating the IP packet.

The thought occurred to me that when we get to defining an RC protocol, we
might want to consider a single QP between endpoints for all RC IPoIB
traffic just to reduce the number of QPs in this potentially all-to-all
communication paradigm.  Of course in this case it would be limited to just
two protocols (IPv4/IPv6) so it doesn't add or subtract from any of the
pro/con arguments we've seen.  Just pondering some of the considerations of
a connected model out loud.

Roy

> Vivek

_______________________________________________
IPoverIB mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipoverib

---

From: Vivek Kashyap <[email-masked]>
Date: Wed, 27 Feb 2002 17:40:21 -0800 (PST)

> a connected model out loud.

Yes, you could consider one QP for both IPv6 and IPv4 - they are
versions 4 and 6 of the same protocol - or, you could have separate
QPs for each of them. QP reduction is not the paradigm of InfiniBand -
there are potentially 2^24 of them per port. As a matter of fact you
could have one QP per connection. Either way, there is no need for an
ethertype. 

Vivek

-- 
Vivek Kashyap
Linux Technology Center, IBM
[email-masked] 
[email-masked] 
503 578 3422 (o)